using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {

        string Token = "l6PEAssjeTpsj2656CbVg8nvEQQ5znniXEb4IvAlwqK8oKUmbtWXtywWXkkmB-iA_Vx5rx7RtpJNWdpcsdJSZSHmTid11YQcU0AucRkRz0Gma_HOELAIuWu4xsN6I5bCPxx-15jNSB9hG5trKWWHAH61NCfizTfCqo_xSsuzKL7ya8U4HQoArK1dsiEDbyIFCLgEl_z6Xn4P6nvKfio4jPKFWnGony6srLPUmJ4a-_L4gliry-RS4-rO8tGN9-VB5vqJ2B7MmZpX6Fntt9t2fQJtNP3PrOsDmPpGiLzfWSTaZHNGH3ViEJXb3T4NZeycigbVPa0eZ1CdPx31VxH583vYJkoBm8-9Zre2UrbR6SWJTNhTDv3MWp5WMnIAn3lqvOtwkcje4ONvp8bpdHv9JaCccE5YJYBX463xaB5Ak71c368crhib9071OqeRxR8Sf5NKoEE0WYsrUmdbqJY0Y0SElCipeYhcPYhfo9lBGxerUQu8QwoOho9eGYfvjwGn";

        public Form1()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            System.Net.WebClient client = new System.Net.WebClient();

            /* préparation URL avec tous les paramètres nécessaires */
            client.Headers.Add(System.Net.HttpRequestHeader.Authorization, @"bearer " + Token);
            string w_jsonString;

            Newtonsoft.Json.Linq.JObject parameters = new Newtonsoft.Json.Linq.JObject();
            parameters["GuID"] = "15723ea4-36fb-4b12-ae14-ea71be01791e";
            parameters["IDModule"] = "141200278";
            parameters["IDCapteur"] = "2593";

            client.Headers.Add(System.Net.HttpRequestHeader.ContentType, "application/json");

             /* fin de la préparation de l'url */

            /* requête ave url */ 

                w_jsonString = client.UploadString("https://api.e-sylife.com/api/Capteurs/Data/Today", parameters.ToString());
                Newtonsoft.Json.Linq.JToken data = Newtonsoft.Json.JsonConvert.DeserializeObject<Newtonsoft.Json.Linq.JToken>(w_jsonString);

            /* récupération de la valeur "Value" du champs "Datas" dans les données en JSON retournées et conversion en double*/
                double w_value = Convert.ToDouble(data["Datas"].Last.First["Value"]);


            /* Affichage du texte "La température est de  xxx °" avec xxx converti de double en String */
                label2.Text = "La température de la salle O+101 est de " + w_value.ToString() +"°";
            
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            System.Net.WebClient client = new System.Net.WebClient();

            /* préparation URL avec tous les paramètres nécessaires */
            client.Headers.Add(System.Net.HttpRequestHeader.Authorization, @"bearer " + Token);
            string w_jsonString;

            Newtonsoft.Json.Linq.JObject parameters = new Newtonsoft.Json.Linq.JObject();
            parameters["GuID"] = "ce50fff5-d586-448e-8ead-90e73351bd11";
            parameters["IDModule"] = "160400003";
            parameters["IDCapteur"] = "7532";


            client.Headers.Add(System.Net.HttpRequestHeader.ContentType, "application/json");

            /* fin de la préparation de l'url */

            /* requête ave url */

            w_jsonString = client.UploadString("https://api.e-sylife.com/api/Capteurs/Data/Today", parameters.ToString());
            Newtonsoft.Json.Linq.JToken data = Newtonsoft.Json.JsonConvert.DeserializeObject<Newtonsoft.Json.Linq.JToken>(w_jsonString);

            /* récupération de la valeur "Value" du champs "Datas" dans les données en JSON retournées et conversion en double*/
            double w_value = Convert.ToDouble(data["Datas"].Last.First["Value"]);


            /* Affichage du texte "La température est de  xxx °" avec xxx converti de double en String */
            label1.Text = "La température de la cuisine est de " + w_value.ToString() + "°";

            
            }
    }
}
